## haskell-futhark 0.25.15

=== debian/changelog ===
haskell-futhark (0.25.15-3) unstable; urgency=medium

  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 09 Oct 2024 11:51:19 +0300

haskell-futhark (0.25.15-2) unstable; urgency=medium

  * Add missing build deps alex and happy (Closes: #1069980)

 -- Kari Pahula <kaol@debian.org>  Sun, 28 Apr 2024 19:15:28 +0300

haskell-futhark (0.25.15-1) unstable; urgency=low

  * Initial release (Closes: #906850)

 -- Kari Pahula <kaol@debian.org>  Fri, 26 Apr 2024 14:38:16 +0300
