## haskell-futhark 0.25.23

=== debian/changelog ===
haskell-futhark (0.25.23-2) unstable; urgency=medium

  * Add build-essential as dependency for autopkgtest tests

 -- Kari Pahula <kaol@debian.org>  Fri, 01 Nov 2024 07:36:07 +0200

haskell-futhark (0.25.23-1) unstable; urgency=medium

  * New upstream package
  * Remove patch to increase the amount of output futhark test --notty
    made
  * Patch futhark test to abort a test on a timeout
  * Use autopkgtest for tests

 -- Kari Pahula <kaol@debian.org>  Wed, 30 Oct 2024 17:25:16 +0200
