=== debian/tests/control ===
Tests: multicore
Depends: build-essential, futhark

Tests: opencl
Depends: build-essential, futhark, pocl-opencl-icd, ocl-icd-opencl-dev

Tests: hip
Depends: build-essential, futhark, hipcc, rocminfo
Restrictions: skippable, needs-sudo
Architecture: amd64 arm64 ppc64el
