## haskell-futhark 0.25.26

=== debian/changelog ===
haskell-futhark (0.25.26-1) unstable; urgency=medium

  * New upstream package
  * Set tests as flaky for now

 -- Kari Pahula <kaol@debian.org>  Sun, 02 Feb 2025 20:34:44 +0200
