=== debian/tests/control ===
Tests: multicore
Depends: build-essential, futhark
Restrictions: flaky

Tests: opencl
Depends: build-essential, futhark, pocl-opencl-icd, ocl-icd-opencl-dev
Restrictions: flaky

Tests: hip
Depends: build-essential, futhark, hipcc, rocminfo
Restrictions: skippable, needs-sudo, flaky
Architecture: amd64 arm64 ppc64el
