## haskell-futhark 0.25.27

=== debian/changelog ===
haskell-futhark (0.25.27-1) unstable; urgency=medium

  * New upstream package
  * Restrict OpenCL test to only architectures which have pocl built
    successfully

 -- Kari Pahula <kaol@debian.org>  Mon, 10 Feb 2025 20:49:09 +0200
