=== debian/control ===
--- 
+++ 
@@ -17,6 +17,8 @@
  libghc-aeson-prof,
  libghc-ansi-terminal-dev (>= 0.6.3.1),
  libghc-ansi-terminal-prof,
+ libghc-async-dev (>= 2.2),
+ libghc-async-prof,
  libghc-base16-bytestring-dev,
  libghc-base16-bytestring-prof,
  libghc-blaze-html-dev (>= 0.9.0.1),
@@ -41,11 +43,11 @@
  libghc-file-embed-prof,
  libghc-free-dev (>= 5.1.10),
  libghc-free-prof,
- libghc-futhark-data-dev (>= 1.1.0.0),
+ libghc-futhark-data-dev (>= 1.1.1.0),
  libghc-futhark-data-prof,
- libghc-futhark-manifest-dev (>= 1.4.0.0),
+ libghc-futhark-manifest-dev (>= 1.5.0.0),
  libghc-futhark-manifest-prof,
- libghc-futhark-server-dev (>= 1.2.2.1),
+ libghc-futhark-server-dev (>= 1.2.3.0),
  libghc-futhark-server-prof,
  libghc-githash-dev (>= 0.1.6.1),
  libghc-githash-prof,
@@ -89,10 +91,10 @@
  libghc-versions-prof,
  libghc-zlib-dev (>= 0.6.3.0),
  libghc-zlib-prof,
- hipcc [amd64 arm64 ppc64el] <!nocheck>,
 Build-Depends-Indep: ghc-doc,
  libghc-aeson-doc,
  libghc-ansi-terminal-doc,
+ libghc-async-doc,
  libghc-base16-bytestring-doc,
  libghc-blaze-html-doc,
  libghc-bmp-doc,
