=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Tests: opencl
 Depends: build-essential, futhark, pocl-opencl-icd, ocl-icd-opencl-dev
 Restrictions: flaky
+Architecture: amd64 arm64 armel armhf i386
 
 Tests: hip
 Depends: build-essential, futhark, hipcc, rocminfo
