=== debian/watch ===
# The hackage release doesn't include test files or Python setup
version=4
https://github.com/diku-dk/futhark/tags .*/v?(\d.*)@ARCHIVE_EXT@
