## haskell-futhark 0.25.32

=== Makefile ===
--- 
+++ 
@@ -39,13 +39,34 @@
 		--haddock-options=--hyperlinked-source
 
 check:
-	tools/style-check.sh src unittests
+	tools/style-check.sh src src-testing
 
 check-commit:
 	tools/style-check.sh $$(git diff-index --cached --ignore-submodules=all --name-status HEAD | awk '$$1 != "D" { print $$2 }')
 
 unittest:
-	cabal run unit
+	cabal run unit -- --hide-successes
+
+test-oclgrind:
+	cabal run -- futhark test tests -c --backend=opencl --exclude=compiled --exclude=no_oclgrind --cache-extension=cache --pass-option=--build-option=-O0 --runner=tools/oclgrindrunner.sh
+
+test-t:
+	cabal run -- futhark test tests -t
+
+test-c:
+	cabal run -- futhark test tests -c --backend=c --no-tuning
+
+test-ispc:
+	cabal run -- futhark test -c --backend=ispc tests --no-tuning
+
+test-multicore:
+	cabal run -- futhark test tests -c --backend=multicore --no-tuning
+
+test-interpreter:
+	cabal run -- futhark test tests -i
+
+test-structure:
+	cabal run -- futhark test tests -s
 
 clean:
 	cabal clean
