=== docs/requirements.txt ===
pyyaml>=4.2b1
sphinx>=4.2.0
