=== debian/changelog ===
haskell-futhark (0.25.32-3) unstable; urgency=medium

  * Build using dh-haskell
  * Sourceful upload for GHC 9.10

 -- Scott Talbert <swt@techie.net>  Wed, 11 Feb 2026 23:10:16 -0500

haskell-futhark (0.25.32-2) unstable; urgency=medium

  * Add missing build-deps libghc-tasty-{dev,prof},
    libghc-tasty-hunit-{dev,prof} and libghc-tasty-quickcheck-{dev,prof}.

 -- Kari Pahula <kaol@debian.org>  Fri, 22 Aug 2025 20:12:40 +0300

haskell-futhark (0.25.32-1) unstable; urgency=medium

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Mon, 18 Aug 2025 19:09:54 +0300
