=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
  python3-sphinx,
  alex,
  happy,
- cdbs,
- ghc (>= 9.6),
+ dh-sequence-haskell,
+ ghc (>= 9.10),
  ghc-prof,
  libghc-aeson-dev (>= 2.0.0.0),
  libghc-aeson-prof,
@@ -29,6 +29,8 @@
  libghc-bytestring-to-vector-prof,
  libghc-cmark-gfm-dev (>= 0.2.1),
  libghc-cmark-gfm-prof,
+ libghc-criterion-dev,
+ libghc-criterion-prof,
  libghc-cryptohash-md5-dev,
  libghc-cryptohash-md5-prof,
  libghc-directory-tree-dev (>= 0.12.1),
@@ -43,7 +45,7 @@
  libghc-file-embed-prof,
  libghc-free-dev (>= 5.1.10),
  libghc-free-prof,
- libghc-futhark-data-dev (>= 1.1.1.0),
+ libghc-futhark-data-dev (>= 1.1.2.0),
  libghc-futhark-data-prof,
  libghc-futhark-manifest-dev (>= 1.5.0.0),
  libghc-futhark-manifest-prof,
@@ -81,6 +83,12 @@
  libghc-srcloc-prof,
  libghc-statistics-dev,
  libghc-statistics-prof,
+ libghc-tasty-dev,
+ libghc-tasty-prof,
+ libghc-tasty-hunit-dev,
+ libghc-tasty-hunit-prof,
+ libghc-tasty-quickcheck-dev,
+ libghc-tasty-quickcheck-prof,
  libghc-temporary-dev,
  libghc-temporary-prof,
  libghc-terminal-size-dev (>= 0.3),
@@ -131,7 +139,7 @@
  libghc-vector-doc,
  libghc-versions-doc,
  libghc-zlib-doc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://futhark-lang.org
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-futhark
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-futhark]
