=== debian/rules ===
#!/usr/bin/make -f

execute_after_dh_auto_build-arch:
	cd docs; make man

execute_after_dh_auto_build-indep:
	cd docs; make html

execute_after_dh_install-indep:
	rm -f debian/libghc-futhark-doc/usr/share/doc/libghc-futhark-doc/html/CHANGELOG.md.gz

%:
	dh $@
